Update ldtp to 1.5.1

Bug #340825 reported by Michael Terry on 2009-03-10
4
Affects Status Importance Assigned to Milestone
ldtp (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: ldtp

LDTP 1.5.1 was just released today. It has a few nice fixes:

* Fixes b.g.o # 574787, 574789, 574791, 574793
  Bug 574791 – ldtputils.captureimage() ignores coordinate arguments
  Bug 574793 – Use wnck to get window id instead of LTFX (digwin)
  Bug 574787 – LDTP package is not installing correctly
  Bug 574789 – getwindowlist (and others?) don't handle utf8 well

I've packaged the update. Debdiff coming.

Related branches

Michael Terry (mterry) wrote :

Here's a debdiff with the following changes:

  * New upstream release (LP: #340825)
  * debian/watch:
    - Update from 1.4.x to 1.5.x branch
  * debian/python-ldtp.install:
    - Change from 2.5/site-packages to 2.6/dist-packages
  * debian/control:
    - Add python-gnome2-desktop to Depends, as ldtp now uses the wnck
      python module

Daniel Holbach (dholbach) wrote :

Ara: you've been working on something like this too, haven't you?

Ara Pulido (ara) wrote :

Yes, I have to finish my changes. It includes some more changes to avoid the Debian circular dependency coming. I've talked with the debian maintainer about it.

I will attach the debdiff later today.

Ara Pulido (ara) wrote :

Attached debdiff with the following changes:

ldtp (1.5.1-0ubuntu1) jaunty; urgency=low

  * New upstream version 1.5.1
    + Updated installation to work with python 2.6 (LP: #340605)
    + Fixes captureimage to work with coordinates (LP: #340053)
  * debian/control:
    + Add python-gnome2-desktop to Depends, for wnck module
  * debian/watch:
    - Update from 1.4.x to 1.5.x branch
  * debian/python-ldtp.install
    + Updated packaging to python2.6 (LP: #340605)
    + Moved ldtprunner, ldtpeditor, ldtpcoden to python-ldtp (LP: #325743)

Ara Pulido (ara) wrote :

diff.gz attached as requested per sponsors

Daniel Holbach (dholbach) wrote :

Upstream changelog:

diff -Nru ldtp-1.5.0/src/ChangeLog ldtp-1.5.1/src/ChangeLog
--- ldtp-1.5.0/src/ChangeLog 2009-02-10 06:31:22.000000000 +0100
+++ ldtp-1.5.1/src/ChangeLog 2009-03-10 18:55:38.000000000 +0100
@@ -1,3 +1,13 @@
+2009-03-10 Michael Terry <email address hidden>
+
+ * client-handler.c (generate_response_packet): Bug 574789
+ getwindowlist (and others?) don't handle utf8 well.
+
+2009-03-02 Nagappan Alagappan <email address hidden>
+
+ * remap.c (filter_appmap_data): Updated ukngrip to unkgrip based
+ on Eitan Isaacson <email address hidden> suggestion.
+
 2009-02-09 Nagappan A <email address hidden>

  * client-handler.c (handle_request): Fixed SPI leak.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ldtp - 1.5.1-0ubuntu1

---------------
ldtp (1.5.1-0ubuntu1) jaunty; urgency=low

  * New upstream bugfix release (LP: #340825)
    - Fixes captureimage to work with coordinates (LP: #340053)
  * debian/watch:
    - Update from 1.4.x to 1.5.x branch
  * debian/python-ldtp.install:
    - Change from 2.5/site-packages to 2.6/dist-packages (LP: #340605)
  * debian/control:
    - Add python-gnome2-desktop to Depends, as ldtp now uses the wnck
      python module

 -- Michael Terry <email address hidden> Tue, 10 Mar 2009 20:00:00 -0400

Changed in ldtp:
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers